import 'package:prompter_stantronic/src/terminal.dart';

import 'option.dart';
import 'terminal.dart';

final _terminal = const Terminal();

class Prompter {
  String askMultiple(String prompt, List<Option> options) {
    final input = _ask(prompt, options);
    final index = int.parse(input);
    try {
      return options[index].value;
    } catch (e) {
      return askMultiple(prompt, options);
    }
  }

  bool askBinary(String prompt) {
    final input = _ask("$prompt (y/n)",[]);
    if (input.toUpperCase().contains('Y')) {
      return true;
    } else if (input.toUpperCase().contains('N')) {
      return false;
    } else {
      return askBinary(prompt);
    }
  }

  String _ask(String prompt, List<Option> options) {
    _terminal.clearScreen();
    _terminal.printPrompt(prompt);
    _terminal.printOptions(options);
    return _terminal.fromInput();
  }
}
