import 'dart:io' as io;

import 'option.dart';

class Terminal {
  const Terminal();

  void clearScreen() {
    if (io.Platform.isWindows) {
      io.stdout.write("\x1B[2J\x1B[0f");
    } else {
      io.stdout.write("\x1B[2J\x1B[3J\x1B[H");
    }
  }

  void printPrompt(String prompt) {
    io.stdout.writeln(prompt);
  }

  String fromInput() {
    io.stdout.write("> ");
    return io.stdin.readLineSync();
  }

  void printOptions(List<Option> options) {
    options.asMap().forEach((index, option) {
      io.stdout.writeln("[$index] - ${option.label}");
    });
    io.stdout.writeln("Enter a choice\n");
  }
}
